--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: failures
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: notifier
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: seconds
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: God::Behaviors::NotifyWhenFlapping
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: before_restart
- !ruby/object:RI::MethodSummary 
  name: before_start
- !ruby/object:RI::MethodSummary 
  name: valid?
name: NotifyWhenFlapping
superclass: Behavior
